package org.richfaces.realworld.fileupload;

import java.util.ArrayList;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Name("fileWrapper")
@Scope(ScopeType.SESSION)
public class FileWrapper {

	private ArrayList<FileItem> files = new ArrayList<FileItem>();
	public int getSize() {
		if (getFiles().size()>0){
			return getFiles().size();
		}else 
		{
			return 0;
		}
	}
	
	public ArrayList<FileItem> getFiles() {
		return files;
	}

	public void setFiles(ArrayList<FileItem> files) { 
		this.files = files;
	}
}
